Summary:        Simple scanning utility
Name:           simple-scan
Version:        42.5
Release:        6%{?dist}
License:        GPLv3+ and CC-BY-SA
URL:            https://gitlab.gnome.org/GNOME/simple-scan
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson gettext itstool /usr/bin/valac
BuildRequires:  sane-backends-devel
BuildRequires:  /usr/bin/appstream-util /usr/bin/desktop-file-validate
BuildRequires:  pkgconfig(zlib) pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(colord) pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libhandy-1) pkgconfig(libwebpmux)
Requires:       xdg-utils

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name} --with-man --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SimpleScan.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SimpleScan-symbolic.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 08 2023 rockerzhu <rockerzhu@tencent.com> - 42.5-1
- Initial build
